<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:13 CET 2009 -->
<TITLE>
Uses of Class ch.javasoft.math.array.ExpressionComposer
</TITLE>


<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="Uses of Class ch.javasoft.math.array.ExpressionComposer";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../ch/javasoft/math/array/ExpressionComposer.html" title="class in ch.javasoft.math.array"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?ch/javasoft/math/array/class-use/ExpressionComposer.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="ExpressionComposer.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H2>
<B>Uses of Class<br>ch.javasoft.math.array.ExpressionComposer</B></H2>
</CENTER>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Packages that use <A HREF="../../../../../ch/javasoft/math/array/ExpressionComposer.html" title="class in ch.javasoft.math.array">ExpressionComposer</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.math.array"><B>ch.javasoft.math.array</B></A></TD>
<TD>The <tt>math.array</tt> package and subpackages contain interfaces and classes 
for generic vectors and matrices represented as arrays.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.math.array.impl"><B>ch.javasoft.math.array.impl</B></A></TD>
<TD>The <tt>math.array.impl</tt> package contains default implementations of the 
interfaces defined in the parent package.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.math.linalg"><B>ch.javasoft.math.linalg</B></A></TD>
<TD>The <tt>math.linalg</tt> package and subpackages contain interfaces and classes 
for linear algebra operations involving vectors and matrices; vectors and 
matrices are generically represented as arrays.&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.math.array"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../ch/javasoft/math/array/ExpressionComposer.html" title="class in ch.javasoft.math.array">ExpressionComposer</A> in <A HREF="../../../../../ch/javasoft/math/array/package-summary.html">ch.javasoft.math.array</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../ch/javasoft/math/array/package-summary.html">ch.javasoft.math.array</A> that return <A HREF="../../../../../ch/javasoft/math/array/ExpressionComposer.html" title="class in ch.javasoft.math.array">ExpressionComposer</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/math/array/ExpressionComposer.html" title="class in ch.javasoft.math.array">ExpressionComposer</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html" title="type parameter in NumberArrayOperations">N</A>,<A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html" title="type parameter in NumberArrayOperations">A</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>NumberArrayOperations.</B><B><A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html#getExpressionComposer()">getExpressionComposer</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the expression composer, used to compose arithmetic expressions</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.math.array.impl"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../ch/javasoft/math/array/ExpressionComposer.html" title="class in ch.javasoft.math.array">ExpressionComposer</A> in <A HREF="../../../../../ch/javasoft/math/array/impl/package-summary.html">ch.javasoft.math.array.impl</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../ch/javasoft/math/array/impl/package-summary.html">ch.javasoft.math.array.impl</A> that return <A HREF="../../../../../ch/javasoft/math/array/ExpressionComposer.html" title="class in ch.javasoft.math.array">ExpressionComposer</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/math/array/ExpressionComposer.html" title="class in ch.javasoft.math.array">ExpressionComposer</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html" title="type parameter in DefaultNumberArrayOperations">N</A>,<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html" title="type parameter in DefaultNumberArrayOperations">A</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>DefaultNumberArrayOperations.</B><B><A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html#getExpressionComposer()">getExpressionComposer</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.math.linalg"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../ch/javasoft/math/array/ExpressionComposer.html" title="class in ch.javasoft.math.array">ExpressionComposer</A> in <A HREF="../../../../../ch/javasoft/math/linalg/package-summary.html">ch.javasoft.math.linalg</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Fields in <A HREF="../../../../../ch/javasoft/math/linalg/package-summary.html">ch.javasoft.math.linalg</A> declared as <A HREF="../../../../../ch/javasoft/math/array/ExpressionComposer.html" title="class in ch.javasoft.math.array">ExpressionComposer</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../../ch/javasoft/math/array/ExpressionComposer.html" title="class in ch.javasoft.math.array">ExpressionComposer</A>&lt;<A HREF="../../../../../ch/javasoft/math/linalg/DefaultBasicLinAlgOperations.html" title="type parameter in DefaultBasicLinAlgOperations">N</A>,<A HREF="../../../../../ch/javasoft/math/linalg/DefaultBasicLinAlgOperations.html" title="type parameter in DefaultBasicLinAlgOperations">A</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>DefaultBasicLinAlgOperations.</B><B><A HREF="../../../../../ch/javasoft/math/linalg/DefaultBasicLinAlgOperations.html#expressionComposer">expressionComposer</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../ch/javasoft/math/linalg/package-summary.html">ch.javasoft.math.linalg</A> that return <A HREF="../../../../../ch/javasoft/math/array/ExpressionComposer.html" title="class in ch.javasoft.math.array">ExpressionComposer</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/math/array/ExpressionComposer.html" title="class in ch.javasoft.math.array">ExpressionComposer</A>&lt;<A HREF="../../../../../ch/javasoft/math/linalg/BasicLinAlgOperations.html" title="type parameter in BasicLinAlgOperations">N</A>,<A HREF="../../../../../ch/javasoft/math/linalg/BasicLinAlgOperations.html" title="type parameter in BasicLinAlgOperations">A</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>BasicLinAlgOperations.</B><B><A HREF="../../../../../ch/javasoft/math/linalg/BasicLinAlgOperations.html#getExpressionComposer()">getExpressionComposer</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the expression composer, used to compose arithmetic expressions</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/math/array/ExpressionComposer.html" title="class in ch.javasoft.math.array">ExpressionComposer</A>&lt;<A HREF="../../../../../ch/javasoft/math/linalg/DefaultBasicLinAlgOperations.html" title="type parameter in DefaultBasicLinAlgOperations">N</A>,<A HREF="../../../../../ch/javasoft/math/linalg/DefaultBasicLinAlgOperations.html" title="type parameter in DefaultBasicLinAlgOperations">A</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>DefaultBasicLinAlgOperations.</B><B><A HREF="../../../../../ch/javasoft/math/linalg/DefaultBasicLinAlgOperations.html#getExpressionComposer()">getExpressionComposer</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../ch/javasoft/math/array/ExpressionComposer.html" title="class in ch.javasoft.math.array"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?ch/javasoft/math/array/class-use/ExpressionComposer.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="ExpressionComposer.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
